Skip to main content
POST
/
v2
/
evaluators
/
agent-efficiency
/
execute
Execute agent-efficiency evaluator
curl --request POST \
  --url https://api.traceloop.com/v2/evaluators/agent-efficiency/execute \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {
    "trajectory_completions": "[\"User found\", \"Email updated\", \"Changes saved\"]",
    "trajectory_prompts": "[\"Find user info\", \"Update email\", \"Save changes\"]"
  }
}
'
import requests

url = "https://api.traceloop.com/v2/evaluators/agent-efficiency/execute"

payload = { "input": {
        "trajectory_completions": "[\"User found\", \"Email updated\", \"Changes saved\"]",
        "trajectory_prompts": "[\"Find user info\", \"Update email\", \"Save changes\"]"
    } }
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    input: {
      trajectory_completions: '["User found", "Email updated", "Changes saved"]',
      trajectory_prompts: '["Find user info", "Update email", "Save changes"]'
    }
  })
};

fetch('https://api.traceloop.com/v2/evaluators/agent-efficiency/execute', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "step_efficiency_reason": "Agent completed task with minimal redundant steps",
  "step_efficiency_score": 0.85,
  "task_completion_reason": "All required tasks were completed successfully",
  "task_completion_score": 0.92
}
{
  "error": "error message"
}
{
  "error": "error message"
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Body

application/json

Request body

input
object
required

Response

OK

step_efficiency_reason
string
Example:

"Agent completed task with minimal redundant steps"

step_efficiency_score
number
Example:

0.85

task_completion_reason
string
Example:

"All required tasks were completed successfully"

task_completion_score
number
Example:

0.92